#-------------------------------------------------
#
# Project created by QtCreator 2011-11-09T15:44:23
#
#-------------------------------------------------

TARGET = appHinge2VehicleDemo
TEMPLATE = app
CONFIG -= qt

#------------------------------------------
# Please EDIT these variables before usage:===============================================================
#------------------------------------------
# Wanted Output Folder (the only one that needs to be absolute, and without '~'!)
HINGE2VEHICLEDEMO_OUTPUT_FOLDER_ABSOLUTE_PATH = "/home/yourusernamehere/yourpathtothedemo/Hinge2VehicleDemo/Release"
# Root paths
HINGE2VEHICLEDEMO_ROOT = "./" # This should be "./" in most cases...
# Root Folders:
BULLET_ROOT = "../../"	# If you placed the Hinge2VehicleDemo folder in "BulletRoot/Demos" this folder shuold be "../../"
HACD_SVN_ROOT =  $$BULLET_ROOT/Extras/Hacd    # Please do not use the original HACD library at $$BULLET_ROOT/Extras/HACD (not compatible at the time of writing), but the one from the SVN sourceforge repository.
# Inc Folders:
FREEGLUT_INCLUDE_FOLDER = "./"  # Freeglut is required, but not included (on Linux, it's -lGLUT: if you have it, you can leave this to "./". On Windows you must set it... hehe!)
OPENGLEX_INCLUDE_FOLDER = "./OpenGLEx"  # This should be "./OpenGLEx" in most cases...
# Lib Folders:
BULLET_LIB_FOLDER = $$BULLET_ROOT/lib  # This depends on your configuration. All the Bullet libs should be there (maybe having a wrong version of the HACD library here is not recommended... better rename it in case of problems)
HACD_SVN_LIB_FOLDER =  $$BULLET_ROOT/lib #  This depends on your configuration. Be sure it's the correct HACD SVN version
FREEGLUT_LIB_FOLDER = "./"  # Freeglut is required, but not included
# Comment it out if you don't have a single hardcoded -lbullet library, but the usual series: -lBulletDynamics -lBulletCollision -lLinearMath ...
CONFIG += useSingleBigBulletLibrary
DEFINES+= BT_USE_FREEGLUT	
# double precision (affects the train only: on Windows this is not necessary as far as I can test)
unix	{
CONFIG += doublePrecision	# but the Bullet library MUST BE COMPILED with BT_USE_DOUBLE_PRECISION too!
}
# ========================================================================================================

doublePrecision {
TARGET = appHinge2VehicleDemoDoublePrecision
DEFINES+=BT_USE_DOUBLE_PRECISION
}

!codeblocks {
DESTDIR = $$HINGE2VEHICLEDEMO_OUTPUT_FOLDER_ABSOLUTE_PATH
}
codeblocks {
DESTDIR = "./Release"
ASSET_IMPORT_LIBRARY_INCLUDE_FOLDER = "../../Extras/Assimp/include/"
ASSET_IMPORT_LIBRARY_LIB_FOLDER = "../../Extras/Assimp/lib/Win32/"
FREEGLUT_INCLUDE_FOLDER = "../../Extras/Freeglut/include/"
FREEGLUT_LIB_FOLDER = "../../Extras/Freeglut/lib/"

BULLET_LIB_FOLDER = $$BULLET_ROOT/lib/Win32  # This depends on your configuration. All the Bullet libs should be there (maybe having a wrong version of the HACD library here is not recommended... better rename it in case of problems)
HACD_SVN_LIB_FOLDER =  $$BULLET_ROOT/lib/Win32 #  This depends on your configuration. Be sure it's the correct HACD SVN version
VHACD_SVN_LIB_FOLDER =  $$BULLET_ROOT/lib/Win32 #  This depends on your configuration. Be sure it's the correct HACD SVN version
}


SOURCES += $$OPENGLEX_INCLUDE_FOLDER"/btCollisionShapeGarbageCollector.cpp"                      \
	$$OPENGLEX_INCLUDE_FOLDER"/btTriangleMeshEx.cpp"                                         \
	$$OPENGLEX_INCLUDE_FOLDER"/GlutDemoApplicationEx.cpp"                                    \
	$$OPENGLEX_INCLUDE_FOLDER"/GlutStuffEx.cpp"                                              \
	$$HINGE2VEHICLEDEMO_ROOT"/Hinge2VehicleDemo.cpp"                                                          \
	$$HINGE2VEHICLEDEMO_ROOT"/main.cpp"                                                              \
	$$HINGE2VEHICLEDEMO_ROOT"/btHinge2Vehicle.cpp"					\
	$$HINGE2VEHICLEDEMO_ROOT"/btWheelShapes.cpp"

HEADERS  += $$OPENGLEX_INCLUDE_FOLDER"/btCollisionShapeGarbageCollector.h"                       \
	    $$OPENGLEX_INCLUDE_FOLDER"/Optionals/btHACDCompoundShape.h"                          \
	    $$OPENGLEX_INCLUDE_FOLDER"/Optionals/btVHACDCompoundShape.h"                          \
	    $$OPENGLEX_INCLUDE_FOLDER"/btTriangleMeshEx.h"                                       \
	    $$OPENGLEX_INCLUDE_FOLDER"/GlutDemoApplicationEx.h"                                  \
	    $$HINGE2VEHICLEDEMO_ROOT"/Hinge2VehicleDemo.h"					\
	    $$HINGE2VEHICLEDEMO_ROOT"/btHinge2Vehicle.h"					\
	    $$HINGE2VEHICLEDEMO_ROOT"/btWheelShapes.h"


INCLUDEPATH += ./                                                                               \
    $$BULLET_ROOT/src                                                                           \
    $$BULLET_ROOT/Demos/OpenGL                                                                  \
    $$BULLET_ROOT/Extras/Serialize                                                              \
    $$HACD_SVN_ROOT/src/HACD_Lib/inc                                                            \
    $$VHACD_SVN_ROOT/src/VHACD_Lib/inc                                                          \
    $$FREEGLUT_INCLUDE_FOLDER                                                                   \
    $$ASSET_IMPORT_LIBRARY_INCLUDE_FOLDER                                                       \
    $$OPENGLEX_INCLUDE_FOLDER                                                                   \
    $$OPENGLEX_INCLUDE_FOLDER"/Optionals"

LIBS += -L$$HACD_SVN_LIB_FOLDER                                            \
        -L$$VHACD_SVN_LIB_FOLDER                                            \
        -L$$BULLET_LIB_FOLDER                                              \
        -L$$FREEGLUT_LIB_FOLDER                                             \
        -L$$ASSET_IMPORT_LIBRARY_LIB_FOLDER                                 \
    	-lHACD                                                                
    

useSingleBigBulletLibrary {
doublePrecision {
	LIBS += -lbulletDoublePrecision
}
!doublePrecision {
	LIBS += -lbullet
}
}
!useSingleBigBulletLibrary {
    LIBS+= -lBulletWorldImporter -lBulletFileLoader -lOpenGLSupport         \
    -lBulletSoftBody -lBulletDynamics -lBulletCollision -lLinearMath
}
LIBS+= -lglut -lGLU -lGL




